Sources/packages for Debian Testing/Enthusiast's Editions

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
grizzler
Posts: 2044
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Sources/packages for Debian Testing/Enthusiast's Editions

Postby grizzler » 25 May 2015 11:14

Updated 27 February 2017
Recently, some new packages have been supplied, as mentioned in this thread: https://forums.solydxk.com/viewtopic.php?f=2&t=6784. Unfortunately, EE users may have had their systems slightly borked. I have already made a couple of postings about this in other threads. This message serves as a (hopefully) complete overview of the necessary steps to get back on track.

Current EE users should think about what they want to do when Debian Stretch becomes Stable. They may want to keep tracking Testing or they may want to stay with Stretch. Depending on that choice, this is what to do.

Updated 12 March 2017
Replaced httpredir.debian.org with deb.debian.org.

Updated 1 September 2017
Changed the reference to -9 packages for Testing to -10 packages. Removed the remove action of -8 packages (and -9, where applicable), because installing the -10 ones should handle that.

Testing (i.e. still EE)

If you want to keep tracking Testing, make sure your sources.list is correct and your system still has a package solydkee-info or solydxee-info. There should not be a solydk-system-adjustments-8/-9 or solydx-system-adjustments-8/-9 package, but solydk-system-adjustments-10 or solydx-system-adjustments-10 should be installed.

sources - /etc/apt/sources.list
Your sources.list should have solydxk-ee in the solydxk line and the debian lines should have testing. The following example is just to illustrate the suite and components to use. You can use any suitable mirror to replace the url part, of course.

Code: Select all

deb https://repository.solydxk.com/ solydxk-ee main upstream import
deb http://deb.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
Strictly speaking, that last line isn't necessary, as security updates always migrate to Testing from Unstable and the testing/updates repository has never had any packages, at least not in the last decade or so.

packages - solydk-system-adjustments-10/solydx-system-adjustments-10 & solydkee-info/solydxee-info
If these packages are installed, everything is fine. If they're not:
- make sure your sources.list is correct
- update (apt update)
- install the -10 package (apt install solydk-system-adjustments-10 or apt purge solydx-system-adjustments-10)
The last action should remove any -8 or -9 package.
The package solydkee-info/solydxee-info should remain as it was.


Stretch (no longer EE)

If you want to stay with Stretch, make sure your sources.list is correct and no package solydkee-info or solydxee-info is installed. There should not be a solydk-system-adjustments-8 or solydx-system-adjustments-8 package either, but you should have solydk-system-adjustments-9 or solydx-system-adjustments-9.

sources - /etc/apt/sources.list
Your sources.list should have solydxk-9 in the solydxk line and the debian lines should have stretch. The following example is just to illustrate the suite and components to use. You can use any suitable mirror to replace the url part, of course.

Code: Select all

deb https://repository.solydxk.com/ solydxk-9 main upstream import
deb http://deb.debian.org/debian stretch main contrib non-free
deb http://security.debian.org/ stretch/updates main contrib non-free
packages - solydk-system-adjustments-9/solydx-system-adjustments-9 & solydkee-info/solydxee-info
If a system-adjustments-9 package is installed, you're mostly there. If there isn't:
- make sure your sources.list is correct
- update (apt update)
- install the -9 package (apt install solydk-system-adjustments-9 or apt purge solydx-system-adjustments-9)
The last action should remove any -8 package.
In any case, if there's an ee-info package, remove it: apt remove solydkee-info or apt remove solydxee-info



___________________________________________________________________________________________________________
Original version - no longer valid - left in for reference
sources - /etc/apt/sources.list

If you do not want to use the stable Jessie repositories of the main editions - whether you want to be an 'official' Enthusiast's Edition user or just want to track Debian Testing - your machine's sources.list file should look like this:

[code]deb http://repository.solydxk.com/ solydxk main upstream import
deb http://httpredir.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
[/code]The 'httpredir' on the second line currently is a bit of an experiment (see here and here). It has been in my own sources.list for a while now without any issues, but you may occasionally end up at a mirror that does not (fully) work. If it causes problems for you, replace it with 'ftp', i.e.:[code]deb http://ftp.debian.org/debian testing main contrib non-free[/code]or even:[code]deb http://ftp.cc.debian.org/debian testing main contrib non-free[/code]where cc should be replaced with the country code suitable for your location (e.g. de, fr, nl, uk).

Also, the Dutch or Australian SolydXK mirror may give better performance than the default (US) repository, so you could change the first line in sources.list to either (nl):
[code]deb http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk main upstream import[/code]or (au):
[code]deb http://mirror.internode.on.net/pub/solydxk/repository solydxk main upstream import[/code]

packages - solydkee-info & solydxee-info

Although the Enthusiast's Editions are not officially supported, they do have some packages of their own: solydkee-info and solydxee-info. These replace the 'normaĺ' solydk-info and solydx-info packages of the main editions and provide some modified files and variables that identify your system as an Enthusiast's Edition. Currently, all this really does is prevent a script belonging to the solydxk-system package from changing your sources.list.
So you may want to install solydkee-info (SolydK) or solydxee-info (SolydX) if your system is tracking Testing.[/color]
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
palimmo
Posts: 765
Joined: 19 Nov 2013 19:44
Contact:

Re: Sources/packages for Debian Testing/Enthusiast's Edition

Postby palimmo » 29 Nov 2015 18:42

If I'd like to "smoothly" switch my SolydK64 system from stable to testing I have to change my present sources.list from

Code: Select all

deb http://repository.solydxk.com/ solydxk main upstream import
deb http://ftp.debian.org/debian jessie main contrib non-free
deb http://security.debian.org/ jessie/updates main contrib non-free
deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free
deb http://ftp.debian.org/debian/ jessie-proposed-updates main contrib non-free
to

Code: Select all

deb http://repository.solydxk.com/ solydxk main upstream import
deb http://httpredir.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
(therefore deleting jessie-backports and jessie-proposed-updates)
and install solydkee-info.
Right?

And what will happen to the packages (e.g. nvidia-driver and libreoffice) that I installed from backports?
Thanks
Proud user of SolydK!

Dai diamanti non nasce niente, dal letame nascono i fior. http://aquilone.wordpress.com/

User avatar
grizzler
Posts: 2044
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Sources/packages for Debian Testing/Enthusiast's Edition

Postby grizzler » 29 Nov 2015 22:12

palimmo wrote:...
(therefore deleting jessie-backports and jessie-proposed-updates)
and install solydkee-info.
Right?
Yes, that's right. However, I couldn't possibly advise anyone to switch to SolydK EE at this moment in time. The transistion to KDE5 is far from smooth, although upgrading an existing install seems to be less of a mess than installing anew.
And what will happen to the packages (e.g. nvidia-driver and libreoffice) that I installed from backports?
Those packages will be upgraded to the versions in Testing. For LibreOffice, that shouldn't pose much of a problem. I have no idea about the nvidia-driver.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
palimmo
Posts: 765
Joined: 19 Nov 2013 19:44
Contact:

Re: Sources/packages for Debian Testing/Enthusiast's Edition

Postby palimmo » 30 Nov 2015 00:46

Not sure I'm ready... :lol:

Code: Select all

Calculating upgrade... The following packages were automatically installed and are no longer required:
  breeze breeze-cursor-theme chromium-inspector cracklib-runtime debconf-kde-data fonts-oxygen
  frameworkintegration gstreamer0.10-x gstreamer1.0-plugins-base:i386 ieee-data kde-config-sddm
  kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen-qt5 kded5 kgamma5 khotkeys khotkeys-data
  kinit kwin-style-breeze kwin-style-qtcurve kwrited libaudio2:i386 libavahi-client3:i386
  libavahi-common-data:i386 libavahi-common3:i386 libavcodec-ffmpeg-extra56:i386 libavdevice55
  libavresample-ffmpeg2:i386 libavutil-ffmpeg54:i386 libbalooqueryparser4 libbaloowidgets4
  libbluedevil2 libboost-filesystem1.55.0 libboost-python1.55.0 libboost-regex1.55.0
  libboost-thread1.55.0 libcdparanoia0:i386 libcrack2 libcups2:i386 libdebconf-kde1 libdvbpsi9
  libelfg0 libffms2-3 libglew1.10 libglib2.0-0:i386 libgpac3 libgphoto2-port10
  libgssapi-krb5-2:i386 libgstreamer-plugins-base0.10-0:i386 libgstreamer-plugins-base1.0-0:i386
  libgstreamer0.10-0:i386 libgstreamer1.0-0:i386 libhdf5-8 libicu52 libinput5 libirs-export91
  libisccfg-export90 libjim0.75 libk5crypto3:i386 libkdcraw23 libkdecorations4abi2 libkdeedu-data
  libkeduvocdocument4 libkeyutils1:i386 libkf5activitiesexperimentalstats1 libkf5emoticons-bin
  libkf5emoticons-data libkf5emoticons5 libkf5idletime5 libkf5jsembed-data libkf5jsembed5
  libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5runner5
  libkf5style5 libkf5webkit5 libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkfontinst5
  libkfontinstui5 libkrb5-3:i386 libkrb5support0:i386 libkwineffects1abi5 libkwinglutils1abi2
  libkworkspace5-5 libllvm3.5 libllvm3.5:i386 liblognorm1 libmng1:i386 libmuon libmusicbrainz5-1
  libnuma1:i386 libokularcore5 liboxygenstyle5-5 liboxygenstyleconfig5-5 libpam-kwallet5
  libplasma-geolocation-interface5 libpowerdevilcore2 libpowerdevilui5 libprocps3
  libpwquality-common libpwquality1 libqalculate5v5 libqt4-dbus:i386 libqt4-network:i386
  libqt4-opengl:i386 libqt4-xml:i386 libqt4-xmlpatterns:i386 libqt5clucene5 libqt5concurrent5
  libqt5designer5 libqt5designercomponents5 libqt5help5 libqt5quickwidgets5 libqtcore4:i386
  libqtdbus4:i386 libqtgui4:i386 libqtwebkit4:i386 libquazip1 libraw10 libraw15
  libregexp-common-perl libshine3:i386 libsnappy1v5:i386 libsqlite3-0:i386
  libswresample-ffmpeg1:i386 libtaskmanager5 libtiff5:i386 libturbojpeg1 libtwolame0:i386
  libvisual-0.4-0:i386 libvisual-0.4-plugins:i386 libvncclient0 libvpx2:i386 libwavpack1:i386
  libweather-ion7 libwebp5:i386 libwine-gecko-2.21 libx264-148:i386 libx265-68:i386 libxcb-dpms0
  libxcb-record0 libxss1:i386 libxt6:i386 libxv1:i386 milou muon-common muon-discover muon-notifier
  muon-updater oxygen-sounds plasma-desktop-data plasma-pa powerdevil powerdevil-data python-cffi
  python-ply python-pycparser python3-pyqt5 qdbus-qt5 qml-module-org-kde-extensionplugin
  qml-module-org-kde-kwindowsystem qml-module-org-kde-runnermodel
  qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings
  qml-module-qtquick-controls-styles-breeze qml-module-qtquick-dialogs
  qml-module-qtquick-privatewidgets qml-module-qtwebkit qt-at-spi:i386
  qtdeclarative5-kf5declarative qtdeclarative5-kf5solid qttools5-dev-tools sni-qt socat
  software-properties-kde user-manager
Use 'apt-get autoremove' to remove them.
Done
The following packages will be REMOVED:
  aptitude coinor-libcoinmp1 coinor-libcoinutils3 coinor-libosi1 digikam digikam-private-libs
  firmware-ralink gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gtk3-engines-oxygen
  kde-style-qtcurve kde-workspace kde-workspace-bin kde-workspace-data kipi-plugins klipper
  kscreensaver kscreensaver-xsavers libasound2-plugins:i386 libasprintf0c2 libavfilter5
  libboost-date-time1.55.0 libclucene-contribs1 libclucene-core1 libebml4 libept1.4.12 libflac++6
  libgegl-0.2-0 libgpgme++2 libhogweed2 libhogweed2:i386 libilmbase6 libkolab0 libkolabxml1
  libmagick++-6.q16-5 libmagickcore5-extra libmarblewidget19 libmatroska6 libmsn0.3 libnettle4
  libnettle4:i386 libopenconnect3 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4
  libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4
  libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-photo2.4 libopencv-video2.4
  libopenexr6 libopenraw1 libppl13 libproxy1 libqalculate5 libqapt-runtime libqapt1 libsidplay1
  libsmokebase3 libsmokeqtwebkit4-3 libstreamanalyzer0 libstreams0 libtag1-vanilla libtag1c2a
  libvamp-hostsdk3 libvigraimpex4 libwxbase3.0-0 libwxgtk3.0-0 libxapian22 plasma-widgets-addons
  python-cupshelpers quassel-data-kde4 ruby-kde4 ruby-qt4-webkit skype:i386 solydxk-system
  vlc-plugin-pulse xserver-xorg-video-modesetting xserver-xorg-video-siliconmotion
The following NEW packages will be installed:
  accountsservice breeze breeze-cursor-theme breeze-icon-theme catdoc coinor-libcoinmp1v5
  coinor-libcoinutils3v5 coinor-libosi1v5 cowsay-off cpp-5 cracklib-runtime cups-bsd
  debconf-kde-data distro-info-data ffmpeg firmware-amd-graphics firmware-misc-nonfree fonts-lato
  fonts-oxygen fonts-wine g++-5 gcc-5 gcc-5-base gcc-5-base:i386 gdb-minimal gir1.2-vte-2.91
  ieee-data iio-sensor-proxy kate5-data kde-cli-tools kde-cli-tools-data kde-config-sddm
  kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen-qt4 kde-style-oxygen-qt5
  kde-style-qtcurve-qt4 kde-style-qtcurve-qt5 kded5 kdeedu-data kdeplasma-addons-data kdoctools5
  kgamma5 khelpcenter khotkeys khotkeys-data kio kio-extras kio-extras-data konsole-kpart
  konsole4-kpart kpackagelauncherqml kpackagetool5 kross ksshaskpass ksysguard-data
  ktexteditor-data ktexteditor-katepart kwin-common kwin-data kwin-style-breeze kwin-x11 kwrited
  libaccountsservice0 libapparmor1 libapt-inst1.7 libapt-pkg4.16 libasan2 libasprintf0v5
  libavcodec-ffmpeg-extra56 libavcodec-ffmpeg-extra56:i386 libavdevice-ffmpeg56 libavfilter-ffmpeg5
  libavformat-ffmpeg56 libavresample-ffmpeg2 libavresample-ffmpeg2:i386 libavutil-ffmpeg54
  libavutil-ffmpeg54:i386 libb-hooks-endofscope-perl libb-hooks-op-check-perl
  libbareword-filehandles-perl libbdplus0 libboost-date-time1.58.0 libboost-filesystem1.58.0
  libboost-iostreams1.58.0 libboost-program-options1.58.0 libboost-python1.58.0
  libboost-system1.58.0 libboost-thread1.58.0 libcc1-0 libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclucene-contribs1v5 libclucene-core1v5 libcmis-0.5-5v5
  libcpan-changes-perl libcrack2 libdata-perl-perl libdbusmenu-qt5-2 libde265-0 libdebconf-kde1
  libdevel-caller-perl libdevel-globaldestruction-perl libdevel-lexalias-perl libdolphinvcs5
  libdouble-conversion1 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdvbpsi10 libebml4v5 libept1.4.16
  libetonyek-0.1-1 libexiv2-14 libexporter-tiny-perl libfdisk1 libffms2-4 libfile-slurp-perl
  libflac++6v5 libgcc-5-dev libgegl-0.3-0 libgeoclue-2-0 libgetopt-long-descriptive-perl libgit2-23
  libglew1.13 libgltf-0.0-0v5 libgpac4 libgpgme++2v5 libgphoto2-port12 libgps22 libgtop-2.0-10
  libhdf5-10 libhogweed4 libhogweed4:i386 libhttp-parser2.1 libicu55 libicu55:i386 libilmbase6v5
  libimport-into-perl libindirect-perl libinput10 libio-stringy-perl libisl13 libisl15
  libjavascriptcoregtk-4.0-18 libjim0.76 libkdecorations2-5v5 libkdecorations2private5v5
  libkeduvocdocument5 libkf5activities5 libkf5activitiesexperimentalstats1 libkf5archive5
  libkf5attica5 libkf5auth-data libkf5auth5 libkf5baloo5 libkf5balooengine5 libkf5baloowidgets-bin
  libkf5baloowidgets5 libkf5bluezqt-data libkf5bluezqt6 libkf5bookmarks-data libkf5bookmarks5
  libkf5codecs-data libkf5codecs5 libkf5completion-data libkf5completion5 libkf5config-bin
  libkf5config-data libkf5configcore5 libkf5configgui5 libkf5configwidgets-data
  libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-bin
  libkf5dbusaddons-data libkf5dbusaddons5 libkf5declarative-data libkf5declarative5
  libkf5dnssd-data libkf5dnssd5 libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5
  libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata3 libkf5globalaccel-bin
  libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5 libkf5gpgmepp5
  libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-bin libkf5iconthemes-data
  libkf5iconthemes5 libkf5idletime5 libkf5itemmodels5 libkf5itemviews-data libkf5itemviews5
  libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5kcmutils-data libkf5kcmutils5
  libkf5kdelibs4support-data libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5khtml-bin
  libkf5khtml-data libkf5khtml5 libkf5kiocore5 libkf5kiofilewidgets5 libkf5kiontlm5
  libkf5kiowidgets5 libkf5krosscore5 libkf5krossui5 libkf5modemmanagerqt6 libkf5networkmanagerqt6
  libkf5newstuff-data libkf5newstuff5 libkf5notifications-data libkf5notifications5
  libkf5notifyconfig-data libkf5notifyconfig5 libkf5package-data libkf5package5 libkf5parts-data
  libkf5parts-plugins libkf5parts5 libkf5people-data libkf5people5 libkf5peoplebackend5
  libkf5peoplewidgets5 libkf5plasma5 libkf5plasmaquick5 libkf5pty-data libkf5pty5
  libkf5quickaddons5 libkf5runner5 libkf5screen6 libkf5service-bin libkf5service-data
  libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5
  libkf5sonnetui5 libkf5style5 libkf5su-bin libkf5su-data libkf5su5 libkf5sysguard-bin
  libkf5sysguard-data libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5
  libkf5threadweaver5 libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5waylandclient5
  libkf5waylandserver5 libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data
  libkf5windowsystem5 libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5 libkfontinst5
  libkfontinstui5 libkolab0v5 libkolabxml1v5 libksgrd7 libksignalplotter7 libkwalletbackend5-5
  libkwin4-effect-builtins1 libkwineffects6 libkwinglutils6 libkwinxrenderutils6 libkworkspace5-5
  liblexical-sealrequirehints-perl libllvm3.7 libllvm3.7:i386 liblmdb0 liblognorm2 liblz4-1
  libmagick++-6.q16-5v5 libmarblewidget-qt5-22 libmatroska6v5 libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libmoox-handlesvia-perl libmpx0 libmsn0.3v5
  libmultidimensional-perl libmuon libmusicbrainz5cc2v5 libmwaw-0.3-3 libnamespace-autoclean-perl
  libnamespace-clean-perl libnettle6 libnettle6:i386 libnghttp2-14 libnm0 libnuma1:i386
  libokularcore6 libopenconnect5 libopencv-calib3d2.4v5 libopencv-contrib2.4v5 libopencv-core2.4v5
  libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5
  libopencv-legacy2.4v5 libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-photo2.4v5
  libopencv-video2.4v5 libopenexr6v5 libopenraw1v5 liborcus-0.10-0v5 liboxygenstyle5-5
  liboxygenstyleconfig5-5 libpackage-stash-perl libpackage-stash-xs-perl libpadwalker-perl
  libparams-classify-perl libparams-validate-perl libpath-tiny-perl libpcap0.8:i386 libpcre16-3
  libpgm-5.1-0 libphonon4qt5-4 libplymouth4 libpod-markdown-perl libpolkit-qt5-1-1 libpoppler-qt5-1
  libpostproc-ffmpeg53 libpowerdevilcore2 libpowerdevilui5 libppl13v5 libprocesscore7 libprocessui7
  libprocps4 libproxy1v5 libpwquality-common libpwquality1 libqapt3 libqapt3-runtime libqca-qt5-2
  libqca-qt5-2-plugins libqca2-plugins libqgsttools-p1 libqpdf17 libqt5clucene5 libqt5concurrent5
  libqt5core5a libqt5dbus5 libqt5designer5 libqt5gui5 libqt5help5 libqt5multimedia5
  libqt5multimedia5-plugins libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5network5
  libqt5opengl5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5script5
  libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5webkit5 libqt5widgets5 libqt5x11extras5
  libqt5xcbqpa5 libqt5xml5 libqtcurve-utils2 libquazip-qt5-1 libraw15 libreoffice-style-breeze
  librole-tiny-perl libruby2.2 libseccomp2 libservlet3.1-java libshine3:i386 libsidplay1v5
  libsmokebase3v5 libsnappy1v5 libsnappy1v5:i386 libsodium13 libsoundtouch1 libssh-4 libssl1.0.2
  libssl1.0.2:i386 libstdc++-5-dev libstreamanalyzer0v5 libstreams0v5 libstrictures-perl
  libsub-exporter-progressive-perl libswresample-ffmpeg1 libswresample-ffmpeg1:i386
  libswscale-ffmpeg3 libtag1v5 libtag1v5-vanilla libtaskmanager5 libtorrent-rasterbar8 libtrio2
  libtry-tiny-perl libturbojpeg0 libtwolame0:i386 libtype-tiny-perl libtype-tiny-xs-perl
  libunicode-utf8-perl libvamp-hostsdk3v5 libvariable-magic-perl libvigraimpex5v5 libvncclient1
  libvpx2 libvpx2:i386 libvte-2.91-0 libvte-2.91-common libwavpack1:i386 libwebkit2gtk-4.0-37
  libwebp5:i386 libwps-0.4-4 libwxbase3.0-0v5 libwxgtk3.0-0v5 libx264-148 libx264-148:i386
  libx265-68 libx265-68:i386 libxapian22v5 libxcb-cursor0 libxcb-dpms0 libxcb-icccm4
  libxcb-randr0:i386 libxcb-record0 libxcb-render-util0 libxcb-render0:i386 libxcb-shape0:i386
  libxcb-xfixes0:i386 libxcb-xkb1 libxkbcommon-x11-0 libzmq3 muon-common muon-discover
  muon-notifier muon-updater ocl-icd-libopencl1 ocl-icd-libopencl1:i386 oxygen-sounds phonon4qt5
  phonon4qt5-backend-vlc pinentry-gnome3 plasma-desktop-data plasma-framework plasma-pa
  polkit-kde-agent-1 powerdevil powerdevil-data python-cffi-backend python-enum34 python-idna
  python-ipaddress python-ptyprocess python3-cairo python3-cups python3-cupshelpers python3-pycurl
  python3-pyqt5 python3-requests python3-smbc python3-urllib3 qml-module-org-kde-bluezqt
  qml-module-org-kde-draganddrop qml-module-org-kde-extensionplugin qml-module-org-kde-kcoreaddons
  qml-module-org-kde-kio qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons
  qml-module-org-kde-kwindowsystem qml-module-org-kde-runnermodel qml-module-org-kde-solid
  qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtgraphicaleffects
  qml-module-qtmultimedia qml-module-qtquick-controls qml-module-qtquick-controls-styles-breeze
  qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-privatewidgets
  qml-module-qtquick-window2 qml-module-qtquick2 qml-module-qtwebkit qt-at-spi qt-at-spi:i386
  qt5-image-formats-plugins qtdeclarative5-kf5declarative qttranslations5-l10n quassel quassel-data
  ruby-minitest ruby-power-assert ruby-test-unit ruby2.2 sni-qt software-properties-kde
  sonnet-plugins sound-theme-freedesktop user-manager
The following packages have been kept back:
  baloo kinfocenter plasma-desktop
The following packages will be upgraded:
  acpi-support-base acpid adwaita-icon-theme akonadi-backend-mysql akonadi-backend-sqlite
  akonadi-server alsa-utils amarok amarok-common amarok-utils apt apt-show-versions apt-utils
  aptdaemon aptitude-common aptitude-doc-en ark aspell at-spi2-core audacity autopoint avahi-daemon
  baloo-utils baloo4 base-files base-passwd bash bash-completion bind9-host binutils bison
  bluedevil bluez bluez-cups bluez-obexd bsdmainutils bsdutils busybox bzip2 ca-certificates
  cabextract cdrdao cgmanager chromium coinor-libcbc3 coinor-libcgl1 coinor-libclp1 colord
  colord-data command-not-found console-setup console-setup-linux cowsay cpp cpp-4.8 cpp-4.9 crda
  cron cups cups-browsed cups-client cups-common cups-core-drivers cups-daemon cups-filters
  cups-filters-core-drivers cups-pdf cups-ppdc cups-server-common curl dbus dbus-x11
  dconf-gsettings-backend dconf-service debconf debconf-i18n debianutils deborphan dh-python dialog
  dictionaries-common diffstat diffutils djtools dmidecode dmsetup dns-root-data dnsmasq-base
  docbook-xml dolphin dosfstools dpkg dpkg-dev dselect dvd+rw-tools e2fslibs e2fsprogs easy-rsa
  enblend enfuse ethtool evolution-data-server-common execstack exim4-config exiv2 extlinux faad
  fancontrol file findutils firebird2.5-common firebird2.5-common-doc firebird2.5-server-common
  firmware-atheros firmware-bnx2 firmware-bnx2x firmware-brcm80211 firmware-intelwimax
  firmware-ipw2x00 firmware-ivtv firmware-iwlwifi firmware-libertas firmware-linux
  firmware-linux-free firmware-linux-nonfree firmware-qlogic firmware-realtek firmware-zd1211 flac
  fonts-beng-extra fonts-dejavu fonts-dejavu-core fonts-dejavu-extra fonts-droid fonts-gujr-extra
  fonts-lohit-gujr fonts-lyx fonts-opensymbol fonts-sil-gentium fonts-stix fonts-takao
  fonts-takao-gothic fonts-takao-mincho foomatic-db freerdp-x11 ftp fuse g++ g++-4.8 g++-4.9 gcc
  gcc-4.8 gcc-4.8-base gcc-4.8-base:i386 gcc-4.9 gcc-4.9-base gcc-4.9-base:i386 gcj-4.9-jre-lib gcr
  gdebi gdebi-core gdisk geoclue-2.0 geoip-database gettext gettext-base ghostscript ghostscript-x
  gimp gimp-data gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0
  gir1.2-gtk-3.0 gir1.2-javascriptcoregtk-3.0 gir1.2-packagekitglib-1.0 gir1.2-pango-1.0
  gir1.2-polkit-1.0 gir1.2-soup-2.4 gir1.2-webkit-3.0 git git-man glib-networking
  glib-networking-common glib-networking-services glx-alternative-mesa glx-alternative-nvidia
  glx-diversions gnome-keyring gnupg gnupg-agent gnupg2 gpgsm gpgv gpsd grep groff-base growisofs
  grub-common grub-pc grub-pc-bin grub2-common gsettings-desktop-schemas gsfonts-x11
  gstreamer1.0-clutter gstreamer1.0-libav gstreamer1.0-plugins-bad gstreamer1.0-plugins-base
  gstreamer1.0-plugins-base:i386 gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly
  gstreamer1.0-pulseaudio gstreamer1.0-x gtk2-engines-pixbuf gtk2-engines-qtcurve gvfs gvfs-common
  gvfs-daemons gvfs-libs gwenview hardening-includes hostname hplip htdig hugin hugin-data
  hugin-tools hwinfo hyphen-de hyphen-it i965-va-driver i965-va-driver:i386 icedtea-7-plugin
  icedtea-netx icedtea-netx-common ideviceinstaller ifupdown imagemagick imagemagick-6.q16
  imagemagick-common info init init-system-helpers initscripts install-info installation-report
  intel-microcode intltool-debian inxi iproute iproute2 irqbalance isc-dhcp-client isc-dhcp-common
  iso-codes iucode-tool java-common k3b kaddressbook kamera kate kate-data katepart kcalc
  kcharselect kde-baseapps-bin kde-baseapps-data kde-config-gtk-style kde-config-touchpad
  kde-runtime kde-runtime-data kde-style-oxygen kde-wallpapers-default kde-window-manager
  kdebase-runtime kdeedu-kvtml-data kdelibs-bin kdelibs5-data kdelibs5-plugins kdepasswd
  kdepim-runtime kdepimlibs-kio-plugins kdf kdoctools keyboard-configuration keyutils kfind kget
  kgpg khelpcenter4 kio-mtp klibc-utils kmenuedit kmix kmod knotes konsole kopete kppp krb5-locales
  krdc kscreen ksh ksnapshot ksysguard ksysguardd ksystemlog ktorrent ktorrent-data kwalletmanager
  kwordquiz kwrite liba52-0.7.4 libaa1 libaacs0 libabw-0.1-1 libaio1 libakonadi-calendar4
  libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4
  libakonadi-notes4 libakonadiprotocolinternals1 libalgorithm-c3-perl libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libapt-pkg-perl libarchive-extract-perl libarchive-zip-perl
  libarchive13 libasan0 libasan1 libasn1-8-heimdal libasound2 libasound2:i386 libasound2-data
  libasound2-plugins libaspell15 libasprintf-dev libass5 libassuan0 libastro1 libatk-bridge2.0-0
  libatk-wrapper-java libatk-wrapper-java-jni libatk1.0-0 libatk1.0-data libatomic1 libatspi2.0-0
  libattica0.4 libaudit-common libaudit1 libautodie-perl libav-tools libavahi-client3
  libavahi-client3:i386 libavahi-common-data libavahi-common-data:i386 libavahi-common3
  libavahi-common3:i386 libavahi-core7 libavahi-glib1 libavcodec-extra libbabl-0.1-0 libbaloocore4
  libbaloofiles4 libbaloopim4 libbalooqueryparser4 libbaloowidgets4 libbalooxapian4 libbind9-90
  libbison-dev libblas-common libblas3 libblkid1 libbluedevil2 libbluetooth3 libbluray1
  libbonoboui2-0 libbonoboui2-common libbrlapi0.6 libbz2-1.0 libc-bin libc-dev-bin libc6 libc6:i386
  libc6-dev libc6-i686:i386 libcairo-gobject2 libcairo-perl libcairo2 libcalendarsupport4
  libcap-ng0 libcap2 libcap2:i386 libcap2-bin libcdaudio1 libcdr-0.1-1 libcgi-fast-perl
  libcgi-pm-perl libcgmanager0 libchromaprint0 libcilkrts5 libclass-c3-perl libclone-perl
  libcloog-isl4 libcloog-ppl1 libclutter-1.0-0 libclutter-1.0-common libcogl-common libcogl-pango20
  libcogl-path20 libcogl20 libcolord2 libcolorhug2 libcomerr2 libcomerr2:i386 libconfig-file-perl
  libcpan-meta-perl libcroco3 libcrystalhd3 libcrystalhd3:i386 libcups2 libcups2:i386 libcupscgi1
  libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3 libcurl3-gnutls libdatrie1
  libdb5.3 libdb5.3:i386 libdbus-1-3 libdbus-1-3:i386 libdbusmenu-qt2 libdconf1 libdebconfclient0
  libdevmapper-event1.02.1 libdevmapper1.02.1 libdjvulibre-text libdjvulibre21 libdlrestrictions1
  libdns-export100 libdns100 libdpkg-perl libdrm-dev libdrm-intel1 libdrm-intel1:i386
  libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386 libdrm2 libdrm2:i386
  libdvdnav4 libdvdread4 libe-book-0.1-1 libedit2 libedit2:i386 libegl1-mesa libegl1-mesa-drivers
  libegl1-nvidia libelf1 libelf1:i386 libemail-valid-perl libenca0 libencode-locale-perl libepoxy0
  liberror-perl libestr0 libevdev2 libexpat1 libexpat1:i386 libexpat1-dev libfaad2 libfam0
  libfbclient2 libfbembed2.5 libffi6 libffi6:i386 libfile-basedir-perl libfile-desktopentry-perl
  libfile-fcntllock-perl libfile-mimeinfo-perl libflac8 libflac8:i386 libflite1 libfluidsynth1
  libfontembed1 libfontenc1 libfreehand-0.1-1 libfreerdp-cache1.1 libfreerdp-client1.1
  libfreerdp-codec1.1 libfreerdp-common1.1.0 libfreerdp-core1.1 libfreerdp-crypto1.1
  libfreerdp-gdi1.1 libfreerdp-locale1.1 libfreerdp-plugins-standard libfreerdp-primitives1.1
  libfreerdp-rail1.1 libfreerdp-utils1.1 libfreetype6 libfreetype6:i386 libfribidi0 libfs6 libfuse2
  libgadu3 libgail18 libgbm1 libgc1c2 libgcc-4.8-dev libgcc-4.9-dev libgcc1 libgcc1:i386
  libgcj-common libgcj15 libgck-1-0 libgcr-3-common libgcr-base-3-1 libgcr-ui-3-1 libgcrypt20
  libgcrypt20:i386 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgeoip1 libgettextpo-dev
  libgettextpo0 libgfortran3 libgimp2.0 libgirepository-1.0-1 libgksu2-0 libgl1-mesa-dev
  libgl1-mesa-dri libgl1-mesa-dri:i386 libgl1-mesa-glx libgl1-mesa-glx:i386 libgl1-nvidia-glx
  libgl1-nvidia-glx:i386 libgl1-nvidia-glx-i386:i386 libglapi-mesa libglapi-mesa:i386 libgles1-mesa
  libgles1-nvidia libgles2-mesa libgles2-nvidia libglib-perl libglib2.0-0 libglib2.0-0:i386
  libglib2.0-bin libglib2.0-data libglu1-mesa libglu1-mesa:i386 libgme0 libgmp10 libgmp10:i386
  libgmpxx4ldbl libgnome2-perl libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra
  libgnutls-deb0-28 libgnutls-deb0-28:i386 libgnutls-openssl27 libgomp1 libgpg-error0
  libgpg-error0:i386 libgpgme11 libgphoto2-6 libgphoto2-l10n libgpod-common libgpod4
  libgrantlee-core0 libgrantlee-gui0 libgraphite2-3 libgs9 libgs9-common libgsl0ldbl
  libgssapi-krb5-2 libgssapi-krb5-2:i386 libgssapi3-heimdal libgssdp-1.0-3
  libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer-plugins-base1.0-0:i386
  libgstreamer1.0-0 libgstreamer1.0-0:i386 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2-perl
  libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtop2-common libgudev-1.0-0 libgupnp-1.0-4 libgusb2
  libharfbuzz-icu0 libharfbuzz0b libhcrypto4-heimdal libhd21 libhdb9-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhpmud0 libhsqldb-java libhsqldb1.8.0-java libhtml-format-perl
  libhtml-parser-perl libhtml-template-perl libhtml-tree-perl libhttp-message-perl
  libhunspell-1.3-0 libhx509-5-heimdal libhyphen0 libical1a libidl0 libidn11 libijs-0.35
  libimage-exiftool-perl libimobiledevice-utils libimobiledevice4 libincidenceeditorsng4
  libio-socket-inet6-perl libio-socket-ip-perl libio-socket-ssl-perl libipc-run-perl
  libirs-export91 libisc-export95 libisc95 libisccc90 libisccfg-export90 libisccfg90 libitm1
  libjack-jackd2-0 libjack-jackd2-0:i386 libjansson4 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libjbig2dec0 libjpeg-turbo-progs libjpeg62-turbo libjpeg62-turbo:i386
  libjpeg8 libjpeg8:i386 libjs-jquery libjs-sphinxdoc libjson-glib-1.0-0 libjson-glib-1.0-common
  libk3b6 libk3b6-extracodecs libk5crypto3 libk5crypto3:i386 libkabc4 libkalarmcal2 libkate1
  libkateinterfaces4 libkatepartinterfaces4 libkcal4 libkcalcore4 libkcalutils4 libkcddb4
  libkcmutils4 libkcompactdisc4 libkdc2-heimdal libkdcraw-data libkdcraw23 libkde3support4
  libkdeclarative5 libkdecore5 libkdeedu-data libkdepim4 libkdepimdbusinterfaces4 libkdesu5
  libkdeui5 libkdewebkit5 libkdgantt2-0 libkdnssd4 libkeduvocdocument4 libkemoticons4 libkexiv2-11
  libkexiv2-data libkeyutils1 libkeyutils1:i386 libkfile4 libkfilemetadata4 libkgapi2-2
  libkholidays4 libkhtml5 libkidletime4 libkimap4 libkio5 libkipi-data libkipi11 libkjsapi4
  libkjsembed4 libkldap4 libkleo4 libklibc libkmbox4 libkmediaplayer4 libkmime4 libkmod2
  libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkonq-common libkonq5-templates
  libkonq5abi1 libkontactinterface4a libkopete4 libkparts4 libkpgp4 libkpimidentities4
  libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4 libkrb5-26-heimdal libkrb5-3
  libkrb5-3:i386 libkrb5support0 libkrb5support0:i386 libkresources4 libkrosscore4 libksane-data
  libksane0 libksba8 libktexteditor4 libktnef4 libktorrent-l10n libktorrent5 libkunitconversion4
  libkutils4 libkxmlrpcclient4 liblangtag-common liblangtag1 liblapack3 liblastfm1 libldap-2.4-2
  libldap-2.4-2:i386 libldb1 liblightdm-gobject-1-0 liblist-moreutils-perl liblocale-gettext-perl
  liblogging-stdlog0 libloudmouth1-0 liblouis-data liblsan0 liblua5.2-0 liblvm2app2.2 liblwres90
  liblzma5 liblzma5:i386 libmagic1 libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra
  libmagickwand-6.q16-2 libmailcommon4 libmailimporter4 libmailtransport4 libmbim-glib4
  libmbim-proxy libmediastreamer-base3 libmessagecomposer4 libmessagecore4 libmessageviewer4
  libmicroblog4 libmikmod3 libmimic0 libmm-glib0 libmms0 libmodplug1 libmodule-build-perl
  libmodule-pluggable-perl libmodule-signature-perl libmount1 libmp3lame0 libmp3lame0:i386 libmpc3
  libmpcdec6 libmpfr4 libmpg123-0 libmpg123-0:i386 libmspub-0.1-1 libmtp-common libmtp-runtime
  libmtp9 libmysqlclient18 libncurses5 libncurses5:i386 libncursesw5 libneon27-gnutls libnepomuk4
  libnepomukcore4 libnepomukquery4a libnepomukutils4 libnet-dbus-perl libnet-domain-tld-perl
  libnet-http-perl libnet-smtp-ssl-perl libnet-ssleay-perl libnetfilter-conntrack3 libnewt0.52
  libnice10 libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4 libnm-util2
  libnoteshared4 libnspr4 libnspr4-0d libnss-winbind libnss3 libnss3-1d libntdb1 libnvidia-eglcore
  libnvidia-ml1 liboath0 libodbc1 libodfgen-0.1-1 libofa0 libopenal-data libopenal1 libopenal1:i386
  libopenjpeg5 libopenjpeg5:i386 libopenobex1 liborbit-2-0 liborbit2 liborc-0.4-0 liborc-0.4-0:i386
  libortp9 libp11-kit0 libp11-kit0:i386 libpackagekit-glib2-18 libpagemaker-0.0-0 libpam-cap
  libpam-gnome-keyring libpam-systemd libpam-winbind libpango-1.0-0 libpango-perl libpango1.0-0
  libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0 libparse-debianchangelog-perl
  libparted-fs-resize0 libparted2 libpcap0.8 libpci3 libpciaccess0 libpciaccess0:i386 libpcre3
  libpcre3:i386 libpcsclite1 libperl4-corelibs-perl libperl5.20 libperlio-gzip-perl libpgf6
  libphonon4 libpimcommon4 libpipeline1 libpixman-1-0 libpkcs11-helper1 libplasma3 libpng12-0
  libpng12-0:i386 libpod-latex-perl libpod-readme-perl libpolkit-agent-1-0 libpolkit-backend-1-0
  libpolkit-gobject-1-0 libpolkit-qt-1-1 libpoppler-glib8 libpoppler-qt4-4 libpoppler46 libppl-c4
  libprotobuf-c1 libproxy-tools libpsl0 libpstoedit0c2a libpulse-mainloop-glib0 libpulse0:i386
  libpulse0 libpulsedsp libpython2.7 libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib
  libpython3-stdlib libpython3.4 libpython3.4-minimal libpython3.4-stdlib libqalculate5-data
  libqca2 libqca2-plugin-ossl libqgpgme1 libqmi-glib1 libqmi-proxy libqmobipocket1 libqt4-dbus
  libqt4-dbus:i386 libqt4-declarative libqt4-designer libqt4-help libqt4-network
  libqt4-network:i386 libqt4-opengl libqt4-opengl:i386 libqt4-qt3support libqt4-script
  libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test
  libqt4-xml libqt4-xml:i386 libqt4-xmlpatterns libqt4-xmlpatterns:i386 libqtassistantclient4
  libqtcore4 libqtcore4:i386 libqtdbus4 libqtdbus4:i386 libqtglib-2.0-0 libqtgui4 libqtgui4:i386
  libqtruby4shared2 libqtwebkit4:i386 libqtwebkit4 libquadmath0 libraw1394-11 libreadline5
  librecode0 libregexp-assemble-perl libreoffice libreoffice-avmedia-backend-gstreamer
  libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-impress libreoffice-java-common
  libreoffice-kde libreoffice-math libreoffice-pdfimport libreoffice-report-builder-bin
  libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb libreoffice-style-galaxy libreoffice-writer
  librest-0.7-0 librevenge-0.0-0 libroken18-heimdal librpm3 librpmio3 librsvg2-2 librsvg2-common
  librtmp1 libsane libsane-common libsane-hpaio libsasl2-2 libsasl2-2:i386 libsasl2-modules
  libsasl2-modules:i386 libsasl2-modules-db libsasl2-modules-db:i386 libsbc1 libsctp1
  libsdl1.2debian libsecret-1-0 libsecret-common libselinux1 libselinux1:i386 libsemanage-common
  libsemanage1 libsendlater4 libsensors4 libsepol1 libservlet2.5-java libsgutils2-2 libshp2
  libslang2 libslv2-9 libsmartcols1 libsmbclient libsmokekdecore4-3 libsmokekdeui4-3 libsmokekfile3
  libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3 libsmokeknewstuff3-3 libsmokekparts3
  libsmokektexteditor3 libsmokekutils3 libsmokeqtcore4-3 libsmokeqtdbus4-3 libsmokeqtgui4-3
  libsmokeqtnetwork4-3 libsmokeqtopengl4-3 libsmokeqtsql4-3 libsmokeqtsvg4-3 libsmokeqtxml4-3
  libsmokesolid3 libsndfile1 libsndfile1:i386 libsnmp-base libsnmp30 libsocket-perl
  libsoftware-license-perl libsolid4 libsoprano4 libsoup-gnome2.4-1 libsoup2.4-1 libsoxr0
  libspandsp2 libsqlite3-0 libsqlite3-0:i386 libss2 libssh-gcrypt-4 libssh2-1 libssl1.0.0
  libssl1.0.0:i386 libstdc++-4.8-dev libstdc++-4.9-dev libstdc++6 libstdc++6:i386 libstoken1
  libsub-identify-perl libsub-name-perl libsyndication4 libsystemd0 libsystemd0:i386 libtag-extras1
  libtalloc2 libtasn1-6 libtasn1-6:i386 libtbb2 libtcl8.5 libtcl8.6 libtdb1 libteamdctl0
  libtelepathy-qt4-2 libtemplateparser4 libterm-ui-perl libtevent0 libtext-levenshtein-perl
  libtext-wrapi18n-perl libthai-data libthai0 libtheora0 libtheora0:i386 libthreadweaver4
  libtie-ixhash-perl libtiff5 libtiff5:i386 libtinfo5 libtinfo5:i386 libtk8.6 libtomcrypt0
  libtommath0 libtsan0 libtwolame0 libubsan0 libudev1 libudev1:i386 libudisks2-0 libuniconf4.6
  libupower-glib3 liburi-perl libusb-0.1-4 libusb-1.0-0 libusbmuxd2 libustr-1.0-1 libutempter0
  libuuid-perl libuuid1 libuuid1:i386 libv4l-0 libv4l-0:i386 libv4lconvert0 libv4lconvert0:i386
  libva-drm1 libva-x11-1 libva1 libva1:i386 libvdpau1 libvdpau1:i386 libvisio-0.1-1 libvisual-0.4-0
  libvisual-0.4-0:i386 libvisual-0.4-plugins libvisual-0.4-plugins:i386 libvlc5 libvlccore8
  libvorbis0a libvorbis0a:i386 libvorbisenc2 libvorbisenc2:i386 libvorbisfile3 libwavpack1
  libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwbclient0
  libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libwebp5
  libwebpdemux1 libwebpmux1 libwildmidi-config libwildmidi1 libwind0-heimdal libwine libwine:i386
  libwine-gecko-2.21 libwinpr-crt0.1 libwinpr-crypto0.1 libwinpr-dsparse0.1 libwinpr-environment0.1
  libwinpr-file0.1 libwinpr-handle0.1 libwinpr-heap0.1 libwinpr-input0.1 libwinpr-interlocked0.1
  libwinpr-library0.1 libwinpr-path0.1 libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1
  libwinpr-sspi0.1 libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1 libwinpr-utils0.1
  libwmf-bin libwmf0.2-7 libwvstreams4.6-base libwvstreams4.6-extras libwww-perl libx11-6
  libx11-6:i386 libx11-data libx11-dev libx11-protocol-perl libx11-xcb-dev libx11-xcb1
  libx11-xcb1:i386 libx86emu1 libxatracker2 libxaw7 libxdmcp-dev libxdmcp6 libxdmcp6:i386
  libxerces-c3.1 libxfreerdp-client1.1 libxi-dev libxi6 libxi6:i386 libxkbcommon0 libxkbfile1
  libxml-parser-perl libxml2 libxml2:i386 libxml2-utils libxmu6 libxmuu1 libxnvctrl0 libxrandr2
  libxrandr2:i386 libxrender1 libxrender1:i386 libxshmfence-dev libxshmfence1 libxshmfence1:i386
  libxslt1.1 libxslt1.1:i386 libxt-dev libxt6 libxt6:i386 libxvidcore4 libxvidcore4:i386 libxvmc1
  libxxf86vm-dev libxxf86vm1 libxxf86vm1:i386 libzvbi-common libzvbi0 libzvbi0:i386 lightdm
  lightdm-gtk-greeter lintian linux-base linux-compiler-gcc-4.9-x86 linux-libc-dev lksctp-tools
  lm-sensors locales login logrotate lsb-base lsb-release lsof luckybackup luckybackup-data make
  man-db marble-data marble-plugins memtest86+ mesa-common-dev mesa-utils mesa-vdpau-drivers
  mesa-vdpau-drivers:i386 mime-support modemmanager module-init-tools mount mplayer-skin-blue
  mplayerthumbs multiarch-support mysql-common nano ncurses-base ncurses-bin net-tools
  network-manager network-manager-openvpn network-manager-pptp network-manager-vpnc
  notification-daemon ntfs-3g ntpdate nvidia-alternative nvidia-detect nvidia-driver
  nvidia-driver-bin nvidia-installer-cleanup nvidia-kernel-common nvidia-kernel-dkms
  nvidia-kernel-support nvidia-modprobe nvidia-persistenced nvidia-settings nvidia-support
  nvidia-vdpau-driver odbcinst odbcinst1debian2 okular opencv-data openjdk-7-jdk openjdk-7-jre
  openjdk-7-jre-headless openprinting-ppds opensc opensc-pkcs11 openssh-client openssl openvpn
  os-prober p11-kit p11-kit-modules p7zip p7zip-full packagekit packagekit-tools parted passwd
  patchutils pciutils pdftk pepperflashplugin-nonfree perl perl-base perl-modules phonon
  phonon-backend-gstreamer phonon-backend-gstreamer-common phonon-backend-vlc pinentry-gtk2
  pkg-config plasma-dataengines-addons plasma-nm plasma-scriptengine-javascript
  plasma-widget-folderview plymouth plymouth-themes policykit-1 polkit-kde-1 poppler-data
  poppler-utils pppconfig pptp-linux prelink print-manager printer-driver-brlaser
  printer-driver-cups-pdf printer-driver-escpr printer-driver-foo2zjs printer-driver-foo2zjs-common
  printer-driver-hpcups printer-driver-hpijs printer-driver-ptouch procmail procps psmisc pstoedit
  pulseaudio pulseaudio-esound-compat pulseaudio-module-bluetooth pulseaudio-module-gconf
  pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils python-apt python-apt-common
  python-aptdaemon python-brlapi python-cairo python-cffi python-characteristic python-crypto
  python-cryptography python-cups python-dbus python-decorator python-ecdsa
  python-egenix-mxdatetime python-egenix-mxtools python-gdbm python-geoip python-gi python-gobject
  python-httplib2 python-imaging python-imobiledevice python-isodate python-kde4 python-ldb
  python-libtorrent python-libxml2 python-mako python-markupsafe python-ntdb python-numpy
  python-opencv python-openssl python-pam python-paramiko python-parted python-pexpect
  python-pexpect-doc python-pil python-pkg-resources python-plist python-ply python-pyasn1
  python-pyasn1-modules python-pycparser python-pycurl python-pyorbit python-pyudev python-qt4
  python-qt4-dbus python-qt4-dev python-renderpm python-reportlab python-reportlab-accel
  python-samba python-serial python-service-identity python-simplejson python-sip python-sip-dev
  python-six python-smbc python-software-properties python-talloc python-tdb python-twisted
  python-twisted-bin python-twisted-conch python-twisted-core python-twisted-lore
  python-twisted-mail python-twisted-names python-twisted-news python-twisted-runner
  python-twisted-web python-twisted-words python-ufw python-wxversion python-xapian
  python-zope.interface python2.7 python2.7-dev python2.7-minimal python3 python3-apt
  python3-aptdaemon python3-dbus python3-gi python3-minimal python3-pkg-resources python3-pyinotify
  python3-pyqt4 python3-sip python3-six python3-software-properties python3-uno python3.4
  python3.4-minimal qapt-batch qdbus qpdf qtchooser qtcore4-l10n qtcurve qtcurve-l10n quassel-kde4
  rar rdesktop rename rpm-common rpm2cpio rsyslog rtkit ruby ruby-debian ruby-gettext ruby-locale
  ruby-qt4 ruby-xmlparser rubygems-integration samba samba-common samba-common-bin
  samba-dsdb-modules samba-libs samba-vfs-modules sane-utils scdaemon sed shared-mime-info
  simple-scan sip-dev smbclient software-properties-common soprano-daemon ssl-cert sudo synaptic
  syslinux syslinux-common syslinux-themes-debian syslinux-themes-debian-squeeze
  syslinux-themes-debian-wheezy system-config-printer system-config-printer-udev systemd
  systemd-sysv systemsettings sysv-rc sysvinit sysvinit-utils tar tcl tcl8.5 tcl8.6 tdb-tools
  telnet time tk tk8.6 traceroute ttf-dejavu ttf-dejavu-core ttf-dejavu-extra tzdata tzdata-java
  ucf udev udisks2 ufraw-batch ufw unattended-upgrades unixodbc uno-libs3 unrar unzip update-glx
  upower ure usb-modeswitch usb-modeswitch-data usbmuxd usbutils user-setup util-linux uuid-runtime
  va-driver-all va-driver-all:i386 vdpau-va-driver vdpau-va-driver:i386 vim-common vim-tiny vlc
  vlc-data vlc-nox vlc-plugin-notify vlc-plugin-samba vorbis-tools vpnc-scripts w3m wavpack wget
  whiptail whois winbind wine wine32:i386 wine64 wireless-regdb wpasupplicant x11-apps x11-common
  x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils x11-xserver-utils x11proto-core-dev
  x11proto-kb-dev x264 xdg-utils xfonts-base xfonts-utils xfsprogs xinit xkb-data xnest
  xsane-common xscreensaver xscreensaver-data xscreensaver-data-extra xscreensaver-gl
  xscreensaver-gl-extra xscreensaver-screensaver-bsod xserver-common xserver-xorg xserver-xorg-core
  xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
  xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-nvidia xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-vesa xserver-xorg-video-vmware xterm xtrans-dev xz-utils yelp-xsl zenity
  zenity-common zip
1605 upgraded, 524 newly installed, 83 to remove and 3 not upgraded.
Need to get 1,439 MB of archives.
After this operation, 1,482 MB of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.
Proud user of SolydK!

Dai diamanti non nasce niente, dal letame nascono i fior. http://aquilone.wordpress.com/

User avatar
grizzler
Posts: 2044
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Sources/packages for Debian Testing/Enthusiast's Editions

Postby grizzler » 27 Feb 2017 11:05

First posting of the thread updated because of the recent system-adjustments upgrades.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Sources/packages for Debian Testing/Enthusiast's Editions

Postby san-claudio » 27 Feb 2017 13:22

A ce jour j'ai fait la modification pour être en testing sous SolydX EE 9 64bit sur un Lenovo Thinkpad X220 :
/etc/apt/sources.listsources.list
deb http://repository.solydxk.nl solydxk-ee main upstream import
deb http://httpredir.debian.org/debian testing main contrib non-free
deb http://security.debian.org testing/updates main contrib non-free

Code: Select all

san-claudio@solydxk ~ $ apt-cache policy solydxee-info
solydxee-info:
  Installé : 1.0.5
  Candidat : 1.0.5
 Table de version :
 *** 1.0.5 600
        600 http://repository.solydxk.com solydxk-9/main amd64 Packages
        600 http://repository.solydxk.com solydxk-9/main i386 Packages
        100 /var/lib/dpkg/status
san-claudio@solydxk ~ $ apt-cache policy solydx-system-adjustments-9
solydx-system-adjustments-9:
  Installé : 2.7.1
  Candidat : 2.7.1
 Table de version :
 *** 2.7.1 600
        600 http://repository.solydxk.com solydxk-9/main amd64 Packages
        600 http://repository.solydxk.com solydxk-9/main i386 Packages
        100 /var/lib/dpkg/status
san-claudio@solydxk ~ $ apt-cache policy solydx-system-adjustments-8
solydx-system-adjustments-8:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
san-claudio@solydxk ~ $ 
Reboot et update upgrade tout me paraît correct rien à signaler.

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Sources/packages for Debian Testing/Enthusiast's Editions

Postby Zill » 27 Feb 2017 15:11

palimmo: I agree with grizzler that now is not a good time to switch from the SolydK main edition (jessie stable base) to SolydK-EE (stretch testing base).

However, if you do really wish to do this then it is essential that you use the "apt dist-upgrade" command, rather than the straight "apt upgrade" command. This command allows apt to intelligently delete packages while upgrading and/or installing newer versions. I just thought it wise to point this out as it is not clear which command you used to produce your listing of package upgrades. ;-)

p.s. I strongly recommend that you do not upgrade your system as described at present as this will almost certainly result in breakage.

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Sources/packages for Debian Testing/Enthusiast's Editions

Postby san-claudio » 27 Feb 2017 15:20

@Zill
Le post que vous faites référence à @palimmo date de 2015...
Ce fil vient d'être mise à jour par @grizzler...apparamment vous trouvez qu'il est trop tôt pour le faire...
J'ai fait un backup la semaine dernière du PC si gros problèmes dans les paquets je fais une restauration et je recommence la manip...

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Sources/packages for Debian Testing/Enthusiast's Editions

Postby Zill » 27 Feb 2017 15:54

san-claudio wrote:@Zill
Le post que vous faites référence à @palimmo date de 2015...
Ce fil vient d'être mise à jour par @grizzler...apparamment vous trouvez qu'il est trop tô pour le faire...
J'ai fait un backup la semaine dernière du PC si gros problèmes dans les paquets je fais une restauration et je recommence la manip...
English translation...
The post you are referring to @palimmo dates from 2015 ...
This thread has just been updated by @grizzler ... apparently you find it too much to do it ...
I made a backup last week of the PC so big problems in the packages I do a restoration and I start the manipulation again ...
Thank you for pointing this out san-claudio... My error! :oops:

Well, I hope my advice regarding "apt dist-upgrade" may still be useful to some users. I still believe it is not yet the right time to upgrade SolydK from jessie to stretch!

Merci d'avoir signalé ceci san-claudio ... Mon erreur! :oops:

Eh bien, j'espère que mon conseil concernant "apt dist-upgrade" peut encore être utile à certains utilisateurs. Je crois toujours qu'il n'est pas encore le bon moment pour mettre à niveau SolydK de jessie à étirer!

User avatar
grizzler
Posts: 2044
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Sources/packages for Debian Testing/Enthusiast's Editions

Postby grizzler » 27 Feb 2017 16:33

Zill wrote:Well, I hope my advice regarding "apt dist-upgrade" may still be useful to some users. I still believe it is not yet the right time to upgrade SolydK from jessie to stretch!
That's certainly true, even if it isn't exactly what my recent update of this thread was about... ;)

However... I suggest people always use dist-upgrade when upgrading packages on the command line of a SolydXK install. Regular Debian upgrades may not need it, packages from the SolydXK repository might. It won't do any harm (as long as you don't do something silly like switching your sources.list to another release... :lol: ). The update manager always does it as well.
Frank

SolydX EE 64 - tracking Debian Testing


Return to “Testing zone”

Who is online

Users browsing this forum: No registered users and 9 guests